package com.tuoheng.admin.service.third.airport;

import com.tuoheng.admin.dto.ReversalFlightDto;
import com.tuoheng.admin.entity.Inspection;
import com.tuoheng.common.core.utils.JsonResult;

import java.util.List;

public interface AirportService {

    JsonResult getAirportList();

    JsonResult getAirLineList(String sn,Long id);

    JsonResult executeTask(String userId, Inspection inspection);

    JsonResult getAirportDetail(String sn);

    JsonResult reversalFlight(ReversalFlightDto dto);

    JsonResult getAirportVideo(Integer airportId);

}
